import java.awt.*;
import java.applet.*;
import java.io.*;
import quadbase.util.*;
import quadbase.ChartAPI.*;

public class HLCOChart extends Applet {
	static final long serialVersionUID = 1;

public static void main(java.lang.String[] args) {

try {

HLCOChart doChart = new HLCOChart();
Frame frame = new Frame();
frame.setLayout(new BorderLayout());
frame.add("Center", doChart.doDataFromArguments(null));
frame.setSize(500, 500);
frame.setVisible(true);

} catch (Exception ex) {

ex.printStackTrace();

}

}

public void init() {

setLayout(new BorderLayout());
add("Center", doDataFromArguments(this));
}

 
Component doDataFromArguments(Applet applet)  {

// Do not connect to EspressManager
QbChart.setEspressManagerUsed(false);

ColInfo colInfo = new ColInfo();
colInfo.category = 0;
colInfo.series = 1;
colInfo.high = 2;
colInfo.low = 3;
colInfo.close = 4;
colInfo.open = 5;
colInfo.subvalue = 6;

String dataType[] = {"date", "varchar", "double", "double", "double", "double", "integer"};
String fieldName[] = {"Day", "Company", "High", "Low", "Close", "Open", "Volume"};
String records[][] = {{"2001-01-01", "ABC", "1.33", "1.18", "1.22", "1.23", "43723"}, 
		      {"2001-01-01", "DEF", "9.24", "8.74", "9.16", "1.23", "18478"},
		      {"2001-01-01", "GHI", "2.20", "1.82", "2.14", "1.23", "46743"},
		      {"2001-01-02", "ABC", "1.87", "0.79", "1.63", "1.23", "33605"},
		      {"2001-01-02", "DEF", "9.48", "8.12", "8.93", "1.23", "16758"},
		      {"2001-01-02", "GHI", "2.47", "2.32", "2.44", "1.23", "60671"},
	 	      {"2001-01-03", "ABC", "1.12", "0.22", "0.44", "1.23", "45211"},
		      {"2001-01-03", "DEF", "9.94", "9.92", "9.93", "9.93", "10697"},
		      {"2001-01-03", "GHI", "2.48", "2.40", "2.46", "2.44", "45238"},
		      {"2001-01-04", "ABC", "1.80", "1.38", "1.79", "1.44", "50224"},
		      {"2001-01-04", "DEF", "9.49", "8.87", "8.94", "8.93", "11868"},
		      {"2001-01-04", "GHI", "2.06", "1.45", "1.96", "1.46", "62053"},
		      {"2001-01-05", "ABC", "1.23", "0.58", "0.79", "0.79", "37285"},
		      {"2001-01-05", "DEF", "9.94", "8.61", "8.08", "8.94", "10476"},
		      {"2001-01-05", "GHI", "2.80", "1.58", "2.45", "1.96", "47117"}};			

DbData data = new DbData(dataType, fieldName, records);
QbChart chart = new QbChart

(applet,                           // Applet
QbChart.VIEW2D,                    // Two-Dimensional
QbChart.HLCO,                      // HLCO Chart
data,                              // Data
colInfo,                           // Column information
null);                             // No specified template

return chart;

}

}